diff --git a/branch.sh b/branch.sh
index a066579ae3ac2680bdeb0caad4154a5bfab1c9cc..57cf7ca03cbd613b403c054d37384606fc9fddd1 100755
--- a/branch.sh
+++ b/branch.sh
@@ -1,5 +1,19 @@
 #!/bin/bash
 
+if [ `dirname $0` != "." ]
+then
+	echo "Please run from the same directory than the script source file is in"
+	exit 1
+fi
+
+if [ $# -ne 1 ]
+then
+  echo "Usage: ./branch.sh [branch]"
+  echo ""
+  echo "Example: ./branch.sh release/13.04.x"
+  exit 1
+fi
+
 svn info svn+ssh://svncisd.ethz.ch/repos/cisd/base/branches/$1 2>/dev/null
 if [ $? -eq 0 ]; then echo "Branch already exists!"; exit 1; fi
 
@@ -9,6 +23,8 @@ svn copy $CURRENT svn+ssh://svncisd.ethz.ch/repos/cisd/base/branches/$1 -m "crea
 mkdir -p out
 rm -r out/temp_checkout
 svn checkout --depth=empty svn+ssh://svncisd.ethz.ch/repos/cisd/base/branches/$1 out/temp_checkout
+if [ $? -ne 0 ]; then echo "Checkout of new branch $1 failed!"; exit 1; fi
+
 cd out/temp_checkout
 svn update gradlew gradle build.gradle
 ./gradlew dependencyReport
diff --git a/build.gradle b/build.gradle
index 6d2c5c69f9788d8c52a2bd9eaf3b15b3dd3e3e65..1f3842a9176e04578593d30ee81d779f3cea8ae1 100644
--- a/build.gradle
+++ b/build.gradle
@@ -2,12 +2,12 @@ apply from: 'http://svncisd.ethz.ch/repos/cisd/gradle/trunk/javaproject.gradle'
 apply plugin: 'ivy-publish'
 
 dependencies {
-	compile 'apache:commons-io:1.4',
-			'apache:commons-lang:2.4',
-			'testng:testng:6.8-CISD',
-			'rinn:restrictions:1.0.1',
-			'cisd:cisd-unix:r15645',
-			'cisd:cisd-nativedata:r27382'
+	compile 'apache:commons-io:+',
+			'apache:commons-lang:+',
+			'testng:testng:+',
+			'rinn:restrictions:+',
+			'cisd:cisd-unix:+',
+			'cisd:cisd-nativedata:+'
 } 
 
 
diff --git a/tag.sh b/tag.sh
index 423dc5339e1afa7d68e1fedd8c32908565043e2e..a4f1cce051c5460cfc58a9ff16d01218b488bc5f 100755
--- a/tag.sh
+++ b/tag.sh
@@ -1,4 +1,19 @@
 #!/bin/bash
+
+if [ `dirname $0` != "." ]
+then
+	echo "Please run from the same directory than the script source file is in"
+	exit 1
+fi
+
+if [ $# -ne 2 ]
+then
+  echo "Usage: ./tag.sh [branch] [tag]"
+  echo ""
+  echo "Example: ./tag.sh release/13.04.x 13.04.1"
+  exit 1
+fi
+
 svn info svn+ssh://svncisd.ethz.ch/repos/cisd/base/branches/$1 2>/dev/null
 if [ $? -ne 0 ]; then echo "Branch does not exist!"; exit 1; fi